Smart Proxy - Bug #20539

foreman-debug shouldn't save private key
08/09/2017 07:35 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category:
Target version: 1.15.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1370168 Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/537
Description

Currently foreman-debug adds everything in /etc/foreman-proxy to the tarball. Recently there was a fix in Foreman to not add private
keys, however foreman-proxy keys are still logged.

Associated revisions

Revision b9a85895 - 08/09/2017 07:49 AM - Daniel Lobato Garcia
Fixes #20539 - foreman-debug shouldn't save private key
Currently foreman-debug adds everything in /etc/foreman-proxy to the

tarball. Recently there was a fix in Foreman to not add private keys,
however foreman-proxy keys are still logged.

History

#1 - 08/09/2017 07:36 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/smart-proxy/pull/537 added

#2 - 08/09/2017 08:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b9a85895e003623bba0deefb12b2c5e15a818dbb.

#3 - 08/10/2017 07:12 AM - Lukas Zapletal

- translation missing: en.field_release set to 287

Daniel requesting 1.15 backport for this one.

05/18/2024 1/1



https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/b9a85895e003623bba0deefb12b2c5e15a818dbb
http://www.tcpdf.org

